/**
 * Ein ziemlich primitiver Zahlstationssimulator.
 * Er erzeugt ein paar mit einem zufaelligen Geldbetrag
 * ausgestattete Personen und schickt diese anschliessend
 * durch eine Zahlstation.
 * 
 * @author tebe
 *
 */
public class Zahlstationssimulator {
	private static final int MAX_GELD = 1000;
	private static final int ANZAHL_PERSONEN = 10;
			
	public static void main(String[] args) {
		Zahlstation zahlstation = new Zahlstation();
		for(int i=0; i<ANZAHL_PERSONEN; i++) {
			System.out.println("--- Person " + i + " ---");
			if(zahlstation.passieren(erzeugePerson())){
					System.out.println("PASSIERT");
			} else {
				System.out.println("NICHT PASSIERT"); 
			}		
		}
	}
	
	/**
	 * @return Eine mit einem zufaelligen Geldbetrag ausgestattete Person
	 */
	public static Person erzeugePerson() {
		Person person = new Person();
		person.getBrieftasche().setGeld( 
				(int) (Math.random()*(MAX_GELD+1)));
		return person;
	}
}
